TAAS - Feature #351

Set PLB Target
08/10/2024 04:33 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 08/10/2024
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set PLB Target

Description

Coding Set PLB Target

History

#1 - 08/20/2024 06:04 PM - Meljo Sunny

GUI changes-
Ref->(Set Target).
In Main section-

--Date Based On-default date should be Issue date

--In Tab section-No checkbox Only Showing.

If there is no data, then hide.

--In Tab Section-Branches(tab): IATA and LCC master selected branches only(unique).

Inside Pop Up(Ref-Package Stock Unreported report)
Field Plb No-check mask and original
In table data grid Column(PLB No)-Mask or Code

date- if date selected is Included issue date then a single date picker
if date selected is included travel date then a single date picker

#2 - 08/24/2024 10:49 AM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Greeshma S

- % Done changed from 0 to 20

#3 - 08/28/2024 10:30 AM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#4 - 09/06/2024 07:24 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#5 - 09/26/2024 03:32 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Show Months In Ul Orderly
2.Error In Save
#6 - 09/26/2024 07:09 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#7 - 11/22/2024 03:24 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES

--> Add 'Target Based On' <Selectbox>(Branch, Counter Staff) after PLB Code

--> Remove 'Branch Wise Split Up' Checkbox

--> Dynamic Grouping option in grid based on 'Target Based On'

Branch --> Current Grouping and Working ok

*Counter Staff --> Grouping 'Counter Staff --> Month' or 'Month --> Counter Staff’
*'Month Wise Split Up' not tick then hide grouping

-->Dynamic Change List 1st column heading

#8 - 12/11/2024 11:55 AM - Greeshma S
- Status changed from New Changes to Coding Started
- % Done changed from 50 to 30

#9 - 12/12/2024 09:33 AM - Greeshma S
- Status changed from Coding Started to New Changes Coding Done
- % Done changed from 30 to 70

#10 - 03/26/2025 04:36 PM - Theja Ponon

- File clipboard-202503261616-nsi26.png added

- File clipboard-202503261624-tcwhd.png added

- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)After deleting a target plb code is not unfreezing-- fixed
2)on pressing new service and supplier is not clearing-- fixed
3)Order of month is not correct---- always in grouping the Month in Asc or desc order

Grouping | nonth->Branch

Month/Branch

——

Amount

BROOZ: Branch

]

BROO1: Main

——
BROO2: Branch

BROO1: Main

BR002: Branch

BROO1: Main

BR002:: Branch

BROO1: Main

nnnnnnnnnnnnn

4)Cant change the Target Based On into counter staff , press ok will change it into branch again-- fixed

5)Cant untick the supplier an dservice-- fixed
6)To date is not getting after focusout from from date-- fixed

05/04/2025

0.0

00

0.0

0.0

00

0.0

0.0

T a B

Percent:

2/3

age

0.0

00

0.0

0.0

00

0.0

0.0

B



Get PLB No

Issue Date* = = 23/03/2025

Travel Date™ -

Airline
PLB No List
4o PLB No Date
4 1 u 123 26/03/2025

#11 - 03/26/2025 06:13 PM - Greeshma S

Airline

E4532:Aero Asia International

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#12 - 04/03/2025 06:19 PM - Arathy PS
- File clipboard-202504031614-kjjhx.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

PLE Mo ~

IATA No ~

Status

Issue Date

28/03/2025 - 29/03/2025

Z Reset
Travel Date Status Remarks
27/03/2025 - 29/03/2025  Active eqwe

PLE Code™

Target Based On

Branch

IATAID  LCCID  Supplier Service Code Sharing Airline ~ Branches

TTMH Get PLB No
Travel Date Issue Date" ~ Woar2 PLBNo~ | PL Q search
Issue Date Travel Date™~ 1ATA Mo ~ £ Reset
T r\«t‘:::vT::meu ks o vie g
Created By: # PLB No Date Airline Issue Date Travel Date Status. Remarks
Meodified By 1 L PBOO1 03/04/2025 JP165:Adria Airways 03/04/2025 - 10/04/2025 Active
2 - PBOOZ 03/04/2025 (GB832:ABX Air 03/04/2025 - 11/04/2025 Active
Set PLB Target Y Q 2
Month/Branch Percentage
o
2. Branches not showing in the branches tab.
#13 - 04/04/2025 06:15 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
